#include <iostream>
#include <fstream>
#include <string>
#include <vector>
#include "instance.h"
using namespace std;

void printhelp(){
	cout<<"This program is used to parse IsoInfer instance file, and output every isoform name and its corresponding number of isoforms in the instance.\n";
	cout<<"Usage: getnisoform [IsoInfer instance file]\n";
}

int main(int argc,char* argv[]){
	if(argc!=2){
		printhelp();
		return -1;
	}

	vector<Instance> result;

	
	readInstance(string(argv[1]), result,-1);

	for(int i=0;i<result.size();i++){
		for(int j=0;j<result[i].isoformNames.size();j++){
			cout<<result[i].isoformNames[j]<<"\t"<<result[i].nIsoforms<<endl;
		}
	}
	

	return 0;
}
