#include <iostream>
#include <fstream>
#include <string>
#include <sstream>
using namespace std;

int main(int argc, char* argv[]){
	if(argc!=2){
		cout<<"This program is used to parse the isoinfer instance file, and output the canonical isoforms as 'true' predictions.\n";
		cout<<"Usage: inst2canonical instance_file.\n";
		return -1;
	}
	ifstream ifs(argv[1]);
	if(!ifs.is_open()){
		cerr<<"Error opening instance file "<<argv[1]<<endl;
		return -1;
	}
	string oneline;
	int totalinst=0;
	while(true){
		getline(ifs,oneline);
		if(ifs.eof())break;
		stringstream ss(oneline);
		string head;
		ss>>head;
		if(head!="genes")continue;
		int ngenes;
		ss>>ngenes;
		for(int i=0;i<ngenes;i++){
			getline(ifs,oneline);
			cout<<(totalinst++)<<"\t"<<oneline<<endl;
		}
	}



	ifs.close();

	return 0;
}
